import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-10 14:46
 */
export interface RechargeRecord {
    /**
    *
    * @type { string }
    */
    recordId?: string;
    /**
    * 优惠卷ID
    * @type { number }
    */
    couponId?: number;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createDate?: Date;
    /**
    * 抵扣卷类型 1.抵扣金额 2 抵扣时间
    * @type { number }
    */
    couponType?: number;
    /**
    * 优惠券总金额
    * @type { number }
    */
    totalMoney?: number;
    /**
    * 优惠券总时长
    * @type { number }
    */
    totalTime?: number;
    /**
    * 总张数
    * @type { number }
    */
    totalNum?: number;
    /**
    * 支付金额
    * @type { number }
    */
    payMoney?: number;
    /**
    * 支付状态 0 未支付 1已支付 2退款
    * @type { number }
    */
    payStatus?: number;
    /**
    *
    * @type { Date }
    */
    eiTime?: Date;
    /**
    * '开票状态 0未开票，1开票中，2开票成功，3开票失败',
    * @type { string }
    */
    eiStatus?: string;
    /**
    * 开票失败原因
    * @type { string }
    */
    eiMsg?: string;
    /**
    * 商户ID
    * @type { string }
    */
    merId?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUser?: string;
    /**
    * 充值方式 0后台手动清空、1、后台发放、2、自助充值、3、第三方充值、4.定期自动发放、5、定期自动清空、
    * @type { string }
    */
    rechargeMethod?: string;
    /**
    * 统一支付外部交易号
    * @type { string }
    */
    outOrderNo?: string;
    /**
    * 支付类型
    * @type { string }
    */
    paymentType?: string;
    /**
    * 统一支付交易记录ID
    * @type { string }
    */
    tradeId?: string;
    /**
    * 错误描述
    * @type { string }
    */
    errorDesc?: string;
}
export declare class RechargeRecordMI {
    static get RECORD_ID(): FieldInfo;
    static get COUPON_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get CREATE_DATE(): FieldInfo;
    static get COUPON_TYPE(): FieldInfo;
    static get TOTAL_MONEY(): FieldInfo;
    static get TOTAL_TIME(): FieldInfo;
    static get TOTAL_NUM(): FieldInfo;
    static get PAY_MONEY(): FieldInfo;
    static get PAY_STATUS(): FieldInfo;
    static get EI_TIME(): FieldInfo;
    static get EI_STATUS(): FieldInfo;
    static get EI_MSG(): FieldInfo;
    static get MER_ID(): FieldInfo;
    static get CREATE_USER(): FieldInfo;
    static get RECHARGE_METHOD(): FieldInfo;
    static get OUT_ORDER_NO(): FieldInfo;
    static get PAYMENT_TYPE(): FieldInfo;
    static get TRADE_ID(): FieldInfo;
    static get ERROR_DESC(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-10 14:46
 */
export interface AutoRecharge {
    /**
    *
    * @type { string }
    */
    autoId?: string;
    /**
    * 规则名称
    * @type { string }
    */
    autoName?: string;
    /**
    *
    * @type { string }
    */
    merId?: string;
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { number }
    */
    couponType?: number;
    /**
    *
    * @type { number }
    */
    couponId?: number;
    /**
    * 发放张数
    * @type { number }
    */
    totalNum?: number;
    /**
    * 0 未删除，1 已删除
    * @type { number }
    */
    deleteFlag?: number;
    /**
    *
    * @type { Date }
    */
    deleteDate?: Date;
    /**
    *
    * @type { Date }
    */
    updateDate?: Date;
    /**
    * 0 不可用，1可用
    * @type { number }
    */
    enable?: number;
    /**
    *
    * @type { string }
    */
    ruleId?: string;
    /**
    * 1 每天，2 每周 ，3 每月
    * @type { number }
    */
    autoType?: number;
    /**
    * 0 清除，1 清除
    * @type { number }
    */
    autoDelete?: number;
    /**
    *
    * @type { Date }
    */
    createDate?: Date;
    /**
    *
    * @type { string }
    */
    createUser?: string;
}
export declare class AutoRechargeMI {
    static get AUTO_ID(): FieldInfo;
    static get AUTO_NAME(): FieldInfo;
    static get MER_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get COUPON_TYPE(): FieldInfo;
    static get COUPON_ID(): FieldInfo;
    static get TOTAL_NUM(): FieldInfo;
    static get DELETE_FLAG(): FieldInfo;
    static get DELETE_DATE(): FieldInfo;
    static get UPDATE_DATE(): FieldInfo;
    static get ENABLE(): FieldInfo;
    static get RULE_ID(): FieldInfo;
    static get AUTO_TYPE(): FieldInfo;
    static get AUTO_DELETE(): FieldInfo;
    static get CREATE_DATE(): FieldInfo;
    static get CREATE_USER(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-10 14:46
 */
export interface MerCoupon {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    * 商户ID
    * @type { string }
    */
    merId?: string;
    /**
    * 抵用券ID
    * @type { number }
    */
    couponId?: number;
    /**
    * 可用张数
    * @type { number }
    */
    totalNum?: number;
    /**
    * 限制类型 （0不限制，3按月，2按周，1按日）
    * @type { number }
    */
    limitType?: number;
    /**
    * 月上限
    * @type { number }
    */
    maxMonth?: number;
    /**
    * 周上限
    * @type { number }
    */
    maxWeek?: number;
    /**
    * 日上限
    * @type { number }
    */
    maxDay?: number;
    /**
    * 月剩余
    * @type { number }
    */
    restMonth?: number;
    /**
    * 周剩余
    * @type { number }
    */
    restWeek?: number;
    /**
    * 日剩余
    * @type { number }
    */
    restDay?: number;
    /**
    * 更新任务ID
    * @type { string }
    */
    logId?: string;
    /**
    * 二维码有效时间，单位分钟，默认值12小时
    * @type { number }
    */
    validityTime?: number;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MerCouponMI {
    static get ID(): FieldInfo;
    static get MER_ID(): FieldInfo;
    static get COUPON_ID(): FieldInfo;
    static get TOTAL_NUM(): FieldInfo;
    static get LIMIT_TYPE(): FieldInfo;
    static get MAX_MONTH(): FieldInfo;
    static get MAX_WEEK(): FieldInfo;
    static get MAX_DAY(): FieldInfo;
    static get REST_MONTH(): FieldInfo;
    static get REST_WEEK(): FieldInfo;
    static get REST_DAY(): FieldInfo;
    static get LOG_ID(): FieldInfo;
    static get VALIDITY_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
